Bug 204586 - ICH8R AHCI (sata) not working with kernel 2.6.17-1.2174smp but fine with 2.6.15-1.2054smp
ICH8R AHCI (sata) not working with kernel 2.6.17-1.2174smp but fine with 2.6....
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-30 04:25 EDT by Rainer Traut
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-21 03:43:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rainer Traut 2006-08-30 04:25:04 EDT
Description of problem:
Sys: Intel Core2 Duo, Asus P5-B Deluxe, 2GB RAM, Single AHCI SATA 300GB Disk
System boots fine with initial kernel 2.6.15-1.2054smp
but panics with latest kernel 2.6.17-1.2174smp
the latest bios is installed, 0507.

Version-Release number of selected component (if applicable):
kernel 2.6.17-1.2174smp

How reproducible:
always

Steps to Reproduce:
1. install FC5
2. update FC5
3. try to boot with latest kernel
  
Actual results:
PCI: Bios Bug: MCFG is not E820 reserved
PCI: Not using MMCONFIG
nash...
(ata1) timed out after 30seconds
...
kernel panic

Expected results:
no panic, system boot

Additional info:
The disk light is flashing slowly, so I think there was some initialization
failure of the disc controller.
The old kernel works fine.
Comment 1 Rainer Traut 2006-08-31 04:17:53 EDT
I tried with an older fc5 kernel 2.6.16X which works.
Seems the 2.6.17 series is broken.
Comment 2 David Lawrence 2006-09-05 11:20:14 EDT
Reassigning to correct owner, kernel-maint.
Comment 3 Marc Jadoul 2006-09-08 06:52:57 EDT
I also have problem with last kernel. But 2.6.17-1.2157smp was ok.
I have a HP nx9420. Qisk is SATA too.
but 00:1f.2 SATA controller: Intel Corporation 82801GBM/GHM (ICH7 Family) Serial
ATA Storage Controllers cc=AHCI (rev 01)

kernel-smp-2.6.17-1.2174_FC5 cause a panic at boot.

I think it could be related.
I filled in a BUG here: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=205186
Comment 4 Marc Jadoul 2006-09-17 05:10:44 EDT
I had a similar but may be different problem.
But it is now partially resolved: I can boot by disabling scsii multi_lun support.
see this bug: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=205186
Comment 5 Rainer Traut 2006-09-25 04:19:47 EDT
I was on vacation for two weeks so here are my new findings.
Must admit I did not test the multi_lun thing though.

But after installing the 2.6.17-1.3001 kernel from dave jones' repo the thing
boots again.
Comment 6 Rainer Traut 2006-09-27 03:56:28 EDT
kernel-smp-2.6.18-1.2189.fc5.i686.rpm boots with ahci, too.

So I guess this can be closed, once it reaches the update repository.
Comment 7 Dave Jones 2006-10-16 16:33:16 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 8 Rainer Traut 2006-10-18 08:43:06 EDT
2.6.18-1.2200.fc5 fixes the problem so this can be closed.
I have yet some other problems with this new kind of hardware:
(dvd writer on Jmicron IDE controller won't recognice dvds but cds and one
Marvell NIC is not detected, the pciexpress one yes, the pci one no) so I will
file separate BZs for this (if the are not already there).

Thx
Rainer

Note You need to log in before you can comment on or make changes to this bug.